Skip to main content
GET
/
v1
/
dex
Dex - List
curl --request GET \
  --url https://api.chainstream.io/v1/dex \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "chain": "sol",
      "programAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
      "protocolFamily": "OrcaWhirpool",
      "image": "https://ipfs.io/ipfs/bafkreid7667676767676767676767676767676767676767676767676767676767676767"
    }
  ],
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "<string>",
  "endCursor": "<string>",
  "total": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

chains
string[]
limit
integer<int64>
default:20

Number of results per page

Required range: 1 <= x <= 100
dexProgram
string

dex program address

Response

200 - application/json
data
object[]
required

Array of DEX information

hasNext
boolean
default:false

Indicates if there are more results

hasPrev
boolean
default:false

Indicates if there are previous results

startCursor
string

Cursor for first item in current page

endCursor
string

Cursor for last item in current page

total
integer<int64>
default:0

Total number of items